Bug 248879 - security/maltrail: Update to 0.23
Summary: security/maltrail: Update to 0.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-08-24 14:49 UTC by Michael Muenz
Modified: 2020-09-15 13:30 UTC (History)
3 users (show)

See Also:


Attachments
maltrail 0.23 (11.05 KB, patch)
2020-08-24 14:49 UTC, Michael Muenz
m.muenz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2020-08-24 14:49:53 UTC
Created attachment 217490 [details]
maltrail 0.23

Update to latest version

- portlint -A is happy
- poudriere builds fine pkg on 12.1 amd64
- poudriere testports runs fine on 12.1 amd64
Comment 1 Automation User 2020-08-24 15:09:09 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/181372544
Comment 2 Fernando Apesteguía freebsd_committer 2020-08-24 16:19:50 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 3 Michael Muenz 2020-08-24 17:24:49 UTC
maltrail tags monthly releases without changelog
Comment 4 daniel.engberg.lists 2020-08-30 17:07:26 UTC
Hi,

It seems like maltrail bundles third party libs six and odict, can you have a look if you can use versions in tree instead? Odict doesn't seem to be ported but (py-)six is however and if you could also port odict it'd be great.
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/bundled-libs.html

https://svnweb.freebsd.org/ports/head/security/maltrail/pkg-plist?revision=541341&view=markup#l78
https://github.com/stamparm/maltrail/tree/master/thirdparty
Comment 5 Michael Muenz 2020-09-10 18:26:07 UTC
I had a quick talk to the author and this seems to be too much effort for too few benefit. The software itself is designed to run after cloning the repo, there is no packaging for distributions. 
I just made the port to have a clear upstream with FreeBSD and I don't want to rush around if dependencies are changing.
Comment 6 Bernhard Froehlich freebsd_committer 2020-09-11 09:33:43 UTC
I'll take it.
Comment 7 commit-hook freebsd_committer 2020-09-15 13:29:57 UTC
A commit references this bug:

Author: decke
Date: Tue Sep 15 13:29:50 UTC 2020
New revision: 548730
URL: https://svnweb.freebsd.org/changeset/ports/548730

Log:
  security/maltrail: Update to 0.23

  PR:		248879
  Submitted by:	Michael Muenz <m.muenz@gmail.com> (maintainer)

Changes:
  head/security/maltrail/Makefile
  head/security/maltrail/distinfo
  head/security/maltrail/pkg-plist
Comment 8 Bernhard Froehlich freebsd_committer 2020-09-15 13:30:03 UTC
Committed. Thanks!